LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Linux - Server (http://www.linuxquestions.org/questions/linux-server-73/)
-   -   yast2 segmentation errors (http://www.linuxquestions.org/questions/linux-server-73/yast2-segmentation-errors-552733/)

rhathar 05-09-2007 07:29 PM

yast2 segmentation errors
 
I noticed this problem when trying to set up XEN on a SLES 10 server. The install requires the yast2 GUI, but for some reason yast2 started giving segmentation faults. At first I thought it was XEN's fault, but then nothing worked. It played out like this:

xenblade4:~ # yast2 xen
YaST got signal 11 at YCP file Wizard.ycp:40
/sbin/yast2: line 276: 27052 Segmentation fault $ybindir/y2base $module "$@" qt $Y2_GEOMETRY $Y2QT_ARGS

----

Ok, well how about running yast2 by itself? That works fine. Trying to start XEN, the 'Change Installation Source' or say.. oh.. printer configuration resulted in like errors:

xenblade4:~ # yast2
Command: /sbin/yast2 xen &
YaST got signal 11 at YCP file Wizard.ycp:40
/sbin/yast2: line 276: 27158 Segmentation fault $ybindir/y2base $module "$@" qt $Y2_GEOMETRY $Y2QT_ARGS
Command: /sbin/yast2 inst_source &
YaST got signal 11 at YCP file Wizard.ycp:40
/sbin/yast2: line 276: 27237 Segmentation fault $ybindir/y2base $module "$@" qt $Y2_GEOMETRY $Y2QT_ARGS
Command: /sbin/yast2 printer &
YaST got signal 11 at YCP file Wizard.ycp:40
/sbin/yast2: line 276: 27272 Segmentation fault $ybindir/y2base $module "$@" qt $Y2_GEOMETRY $Y2QT_ARGS

----

I have looked everywhere, and haven't been able to find information to help me fix this. Other posts that were similar seemed to involve running earlier verisions of Suse and doing partial upgrades or mix-matching packages. This is a fresh install with only a few compatible extras, and all the packages under 'rug se yast2' show SLE10Base, Mandatory Bundles or System Packages.

To anyone that could please help, I'm really lost here. Thank you!

Also, please let me know if there's any additional information you might require.

----

Update: The problem may be related to the built-in ATI video card. There are three servers running this install (SLES10 + core Novell updates) that have the same problem, and others that have the same install with built-in Intel v-cards that run fine. However, updating the drivers or altering xorg to use the generic drivers doesn't change anything.


All times are GMT -5. The time now is 09:13 AM.